Page MenuHomePhabricator

Echo not notifying users in ns103 in cawiki
Closed, ResolvedPublic

Description

We spotted a possible bug in https://ca.wikipedia.org/wiki/Viquiprojecte_Discussi%C3%B3:Discussions_desateses . Echo seems not to be notifiying other users on a ping.

Event Timeline

Gerardduenas raised the priority of this task from to Needs Triage.
Gerardduenas updated the task description. (Show Details)
Gerardduenas added a project: Notifications.
Gerardduenas updated the task description. (Show Details)
Gerardduenas set Security to None.
Gerardduenas added a subscriber: Gerardduenas.
Krenair added a subscriber: Krenair.Jan 3 2015, 5:10 PM
Aklapper renamed this task from Echo extension bug: Not notifying users in ns 103 in cawiki to Not notifying users in ns103 in cawiki.Jan 3 2015, 8:53 PM
DannyH renamed this task from Not notifying users in ns103 in cawiki to Echo not notifying users in ns103 in cawiki.Jan 6 2015, 8:44 PM
DannyH moved this task from Untriaged to Needs team triage on the Collaboration-Team-Triage board.

According to https://www.mediawiki.org/wiki/Echo_%28Notifications%29/Feature_requirements#User_Mention "this feature only works for posts inside a section of a talk page other than yours, or in the Project: namespace (e.g., 'Wikipedia:')"
So possibly there's a namespace restriction in the code, somewhere, that needs to be expanded?

matthiasmullie triaged this task as High priority.Jan 7 2015, 6:43 PM
matthiasmullie added a subscriber: matthiasmullie.
DannyH lowered the priority of this task from High to Medium.Jan 7 2015, 6:44 PM
Qgil edited subscribers, added: Qgil; removed: QuimGil.Jan 7 2015, 11:17 PM
DannyH added a subscriber: DannyH.Jan 7 2015, 11:50 PM

@Gerardduenas -- Are any of the users mentioned there getting pinged? Is it just this page, or anything in this namespace? Thanks for your report.

I don't know. I'll check if someone is actually receiving the pings and if it's only this page. Thanks for your help

@Quiddity: I don't think there is a restriction in the code. I think that the mention feature in echo works for any talk page and ns103 is a talk namespace. Please correct me if I'm wrong.

I was wondering if the person who is actually making the mention is a bot, does this change something?

Qgil added a comment.Jan 8 2015, 2:53 PM

I just made a human ping for testing.

Gerardduenas added a comment.EditedJan 9 2015, 3:09 PM

Here we have some data to start working with:

  • I didn't recive Qgil's human ping (see above)
  • Three out of the 6 pinged (in a page in ns103 but different form the one where we spotted the bug) have not received the ping, the other 3 have not answered yet.
  • One person did receive a ping from this namespace the 8th of december 2014.

With this info we know for sure that pings in any page of ns103 of cawiki don't notify the person. It doesn't matter if the "pingger" is a bot or a human. This feature worked the 8/12/2014.

Can I help with something?

Gerardduenas closed this task as Resolved.Feb 12 2015, 9:18 AM
Gerardduenas claimed this task.

Now it works